Errore Gpg su slapt-get [RISOLTO]

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Zav0k
Linux 0.x
Linux 0.x
Messaggi: 63
Iscritto il: dom mag 06, 2007 9:41
Slackware: current
Kernel: 2.6.37.3-smp
Desktop: Kde 4.4.5
Località: Fucecchio

Errore Gpg su slapt-get [RISOLTO]

Messaggioda Zav0k » mar mar 09, 2010 12:33

Dopo l'aggiornamento alla current mi manifesta questo problema su 2 macchine:

Codice: Seleziona tutto

bash-4.1# slapt-get -u
Retrieving package data [ftp://ftp.slackware.at/slackware-current/]...Cached
Retrieving patch list [ftp://ftp.slackware.at/slackware-current/]...Cached
Retrieving checksum list [ftp://ftp.slackware.at/slackware-current/]...Cached
Retrieving checksum signature [ftp://ftp.slackware.at/slackware-current/]...Cached
Verifying checksum signature [ftp://ftp.slackware.at/slackware-current/]...GPGME: Not operational
Not Verified
Retrieving package data [http://software.jaos.org/slackpacks/current/]...Done
Retrieving patch list [http://software.jaos.org/slackpacks/current/]...Cached
Retrieving checksum list [http://software.jaos.org/slackpacks/current/]...Done
Retrieving checksum signature [http://software.jaos.org/slackpacks/current/]... Done
Verifying checksum signature [http://software.jaos.org/slackpacks/current/]...GPGME: Not operational
Not Verified
Retrieving package data [http://darkstar.ist.utl.pt/slackware/addon/slacky/slackware-13.0/]...Done
Retrieving patch list [http://darkstar.ist.utl.pt/slackware/addon/slacky/slackware-13.0/]...Done
Retrieving checksum list [http://darkstar.ist.utl.pt/slackware/addon/slacky/slackware-13.0/]...Done
Retrieving checksum signature [http://darkstar.ist.utl.pt/slackware/addon/slacky/slackware-13.0/]...Done
Verifying checksum signature [http://darkstar.ist.utl.pt/slackware/addon/slacky/slackware-13.0/]...GPGME: Not operational
Not Verified
Sources failed to download, correct sources and rerun --update

E' successo solo a me? :-k
Ultima modifica di Zav0k il ven mar 12, 2010 18:27, modificato 1 volta in totale.

daigo
Linux 0.x
Linux 0.x
Messaggi: 26
Iscritto il: gio ott 18, 2007 13:00
Nome Cognome: Andrea Dieni
Slackware: current64
Kernel: 2.6.33.4
Desktop: KDE 4.4.4
Località: 41°54´N 012°29´E

Re: Errore Gpg su slapt-get

Messaggioda daigo » mar mar 09, 2010 12:59

no, non sei solo.

Avatar utente
MrTry
Linux 2.x
Linux 2.x
Messaggi: 228
Iscritto il: sab dic 19, 2009 0:26
Slackware: current
Kernel: 2.6.33.1
Desktop: attualmente Xfce

Re: Errore Gpg su slapt-get

Messaggioda MrTry » mer mar 10, 2010 11:44

Anche a me ma la mia era comunque un'installazione nuova, dopo aver messo gnome (solo coincidenza) dava l'errore. Gslapt però dopo un pò ha funzionato, risolsi disinstallando e reinstallando slapt-get

Zav0k
Linux 0.x
Linux 0.x
Messaggi: 63
Iscritto il: dom mag 06, 2007 9:41
Slackware: current
Kernel: 2.6.37.3-smp
Desktop: Kde 4.4.5
Località: Fucecchio

Re: Errore Gpg su slapt-get

Messaggioda Zav0k » mer mar 10, 2010 13:01

MrTry ha scritto:Anche a me ma la mia era comunque un'installazione nuova, dopo aver messo gnome (solo coincidenza) dava l'errore. Gslapt però dopo un pò ha funzionato, risolsi disinstallando e reinstallando slapt-get

Ho provato a rimuove i pacchetti slapt-get e gslapt(anche non era necessario) ed a reinstallare il tutto, ma non è servito a niente. :-k

Avatar utente
MrTry
Linux 2.x
Linux 2.x
Messaggi: 228
Iscritto il: sab dic 19, 2009 0:26
Slackware: current
Kernel: 2.6.33.1
Desktop: attualmente Xfce

Re: Errore Gpg su slapt-get

Messaggioda MrTry » mer mar 10, 2010 16:30

prova un pò a cercare le chiavi e a cancellarle :-k

Zav0k
Linux 0.x
Linux 0.x
Messaggi: 63
Iscritto il: dom mag 06, 2007 9:41
Slackware: current
Kernel: 2.6.37.3-smp
Desktop: Kde 4.4.5
Località: Fucecchio

Re: Errore Gpg su slapt-get

Messaggioda Zav0k » mer mar 10, 2010 17:11

MrTry ha scritto:prova un pò a cercare le chiavi e a cancellarle :-k

Scusa l'ignoranza, ma dove si trovano? :oops:

Avatar utente
MrTry
Linux 2.x
Linux 2.x
Messaggi: 228
Iscritto il: sab dic 19, 2009 0:26
Slackware: current
Kernel: 2.6.33.1
Desktop: attualmente Xfce

Re: Errore Gpg su slapt-get

Messaggioda MrTry » mer mar 10, 2010 18:18

E appunto non lo so mica, non so nemmeno se sia fattibile. per ora non posso fare la prova io, dovresti provare a cercare GPG-KEY ma non so se effettivamente si ha quel file.

Avatar utente
MrTry
Linux 2.x
Linux 2.x
Messaggi: 228
Iscritto il: sab dic 19, 2009 0:26
Slackware: current
Kernel: 2.6.33.1
Desktop: attualmente Xfce

Re: Errore Gpg su slapt-get

Messaggioda MrTry » mer mar 10, 2010 19:24

ecco allora credo sia qui:
vai su /var/slapt-get ed elimina tutto il contenuto (occhio che ci sono le chiavi nascoste, sono file nascosti), fai la prova.
rm .* dovrebbe bastare anche se non è il comando corretto penso perchè poi ti da errore non potendo ovviamente cancellare anche la directory in cui ti trovi, ma comunque funziona, tu poi magari ne sai + di me.

Avatar utente
harakei
Packager
Packager
Messaggi: 118
Iscritto il: lun dic 19, 2005 15:57
Slackware: 13-current
Kernel: 2.6.32.7-ck2
Desktop: kde
Località: Taranto
Contatta:

Re: Errore Gpg su slapt-get

Messaggioda harakei » gio mar 11, 2010 23:03

stesso problema per me:
ho provato ad eliminare completamente /var/slapt-get/ ma niente, stesso errore.
Ho disinstallato e reinstallato slapt-get, ma continua a dare lo stesso errore.

Qualche aiuto?

Avatar utente
MrTry
Linux 2.x
Linux 2.x
Messaggi: 228
Iscritto il: sab dic 19, 2009 0:26
Slackware: current
Kernel: 2.6.33.1
Desktop: attualmente Xfce

Re: Errore Gpg su slapt-get

Messaggioda MrTry » gio mar 11, 2010 23:28

prova con gslapt per curiosità
http://software.jaos.org/

Avatar utente
harakei
Packager
Packager
Messaggi: 118
Iscritto il: lun dic 19, 2005 15:57
Slackware: 13-current
Kernel: 2.6.32.7-ck2
Desktop: kde
Località: Taranto
Contatta:

Re: Errore Gpg su slapt-get

Messaggioda harakei » ven mar 12, 2010 9:48

con gslapt funziona

Avatar utente
MrTry
Linux 2.x
Linux 2.x
Messaggi: 228
Iscritto il: sab dic 19, 2009 0:26
Slackware: current
Kernel: 2.6.33.1
Desktop: attualmente Xfce

Re: Errore Gpg su slapt-get [RISOLTO]

Messaggioda MrTry » ven mar 12, 2010 22:28

zavok come hai risolto ?

Zav0k
Linux 0.x
Linux 0.x
Messaggi: 63
Iscritto il: dom mag 06, 2007 9:41
Slackware: current
Kernel: 2.6.37.3-smp
Desktop: Kde 4.4.5
Località: Fucecchio

Re: Errore Gpg su slapt-get

Messaggioda Zav0k » sab mar 13, 2010 20:15

MrTry ha scritto:prova con gslapt per curiosità
http://software.jaos.org/

Ho seguito il tuo consiglio. :thumbright:
Ho installato lo slapt-get 0.10.2d e il gslapt 0.5.3 del sito software.jaos.org.

Avatar utente
MrTry
Linux 2.x
Linux 2.x
Messaggi: 228
Iscritto il: sab dic 19, 2009 0:26
Slackware: current
Kernel: 2.6.33.1
Desktop: attualmente Xfce

Re: Errore Gpg su slapt-get [RISOLTO]

Messaggioda MrTry » dom mar 14, 2010 12:59

ha.... però alcuni aggiornamenti e/o installazioni non ti consiglio di farli sotto X. Sarebbe buono trovare una soluzione definitiva sul fatto di ste chiavi.